#
# spec file for package geeko-gtk-theme
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _theme  Geeko
%define _name   geeko
Name:           geeko-gtk-theme
Version:        1.1.2
Release:        lp151.2.1
Summary:        Geeko GTK+ theme
License:        GPL-3.0+
Group:          System/GUI/Other
Url:            https://github.com/LelCP/geeko-gtk-theme
Source:         https://github.com/LelCP/%{_name}-gtk-theme/archive/v%{version}.tar.gz#/%{_name}-gtk-theme-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  fdupes
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.14
BuildArch:      noarch

%description
Geeko is an Arc based flat theme with transparent elements for GTK 3, GTK 2 and Gnome-Shell. It supports GTK 3 and GTK 2 based desktop environments like Gnome, Unity, Budgie, Pantheon, etc.

%package -n metatheme-%{_name}-common
Summary:        Geeko Common Theme Files
Group:          System/GUI/Other
Recommends:     adwaita-icon-theme
Suggests:       gtk2-metatheme-%{_name} = %{version}
Suggests:       gtk3-metatheme-%{_name} = %{version}

%description -n metatheme-%{_name}-common
Geeko is an Arc based flat theme with transparent elements for GTK 3, GTK 2 and Gnome-Shell. It supports GTK 3 and GTK 2 based desktop environments like Gnome, Unity, Budgie, Pantheon, etc.

%package -n gtk2-metatheme-%{_name}
Summary:        Geeko GTK+2 Theme
Group:          System/GUI/Other
Requires:       gtk2-engine-murrine
Requires:       metatheme-%{_name}-common = %{version}
Supplements:    packageand(metatheme-%{_name}-common:gtk2)

%description -n gtk2-metatheme-%{_name}
Geeko is an Arc based flat theme with transparent elements for GTK 3, GTK 2 and Gnome-Shell. It supports GTK 3 and GTK 2 based desktop environments like Gnome, Unity, Budgie, Pantheon, etc.


%package -n gtk3-metatheme-%{_name}
Summary:        Geeko GTK+3 Theme
Group:          System/GUI/Other
Requires:       gtk3 >= 3.14
Requires:       metatheme-%{_name}-common = %{version}
Supplements:    packageand(metatheme-%{_name}-common:gtk3)

%description -n gtk3-metatheme-%{_name}
Geeko is an Arc based flat theme with transparent elements for GTK 3, GTK 2 and Gnome-Shell. It supports GTK 3 and GTK 2 based desktop environments like Gnome, Unity, Budgie, Pantheon, etc.

%prep
%setup -q -n %{_name}-gtk-theme-%{version}
sed -i '/configure/d' autogen.sh
sed -i 's/^\(IconTheme=\).*$/\1Adwaita/' common/index.theme*

%build
./autogen.sh
%configure
make %{?_smp_mflags} V=1

%install
%make_install
find %{buildroot}%{_datadir}/ -type f -name '*.sh' -delete
%fdupes %{buildroot}%{_datadir}/

%files -n metatheme-%{_name}-common
%defattr(-,root,root)
%dir %{_datadir}/themes/%{_theme}*/
%exclude %{_datadir}/themes/%{_theme}*/gtk-?.0/
%{_datadir}/themes/%{_theme}*/*

%files -n gtk2-metatheme-%{_name}
%defattr(-,root,root)
%{_datadir}/themes/%{_theme}*/gtk-2.0/

%files -n gtk3-metatheme-%{_name}
%defattr(-,root,root)
%{_datadir}/themes/%{_theme}*/gtk-3.0/

%changelog
* Wed Apr 18 2018 128bitnate@gmail.com
  Updated to Version 1.1.2
* Sun Jan 28 2018 letcp@protonmail.com
  Replaced some icons and fixed YaST compat
* Tue Jan  9 2018 letcp@protonmail.com
  First commit
